Package docking.widgets.list

# Class GListAutoLookup<T>

java.lang.Object
docking.widgets.AutoLookup
docking.widgets.list.GListAutoLookup<T>

Type Parameters:
  `T` - the row type

public class GListAutoLookup<T> extends AutoLookup
`AutoLookup` implementation for `GList`s

- ## Field Summary

  ### Fields inherited from class docking.widgets.AutoLookup

  `KEY_TYPING_TIMEOUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GListAutoLookup(GList<T> list)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCurrentRow()`
  Returns the currently selected row
  `int`
  `getRowCount()`
  Returns the total number of rows
  `String`
  `getValueString(int row, int col)`
  Returns a string representation of the item at the given row and column.
  `boolean`
  `isSorted(int column)`
  Returns true if the given column is sorted.
  `boolean`
  `isSortedAscending()`
  Returns true if the currently sorted column is sorted ascending.
  `void`
  `matchFound(int row)`
  This method will be called when a match for the call to `AutoLookup.keyTyped(KeyEvent)` is found

  ### Methods inherited from class docking.widgets.AutoLookup

  `canBinarySearchColumn, keyTyped, setColumn, setTimeout, setTimeoutPredicate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GListAutoLookup

    public GListAutoLookup(GList<T> list)

- ## Method Details

  - ### getCurrentRow

    public int getCurrentRow()
    Description copied from class: `AutoLookup`
    Returns the currently selected row
    Specified by:
      `getCurrentRow` in class `AutoLookup`
    Returns:
      the row

  - ### getRowCount

    public int getRowCount()
    Description copied from class: `AutoLookup`
    Returns the total number of rows
    Specified by:
      `getRowCount` in class `AutoLookup`
    Returns:
      the row count

  - ### getValueString

    public String getValueString(int row, int col)
    Description copied from class: `AutoLookup`
    Returns a string representation of the item at the given row and column. The text should match what the user sees.
    Specified by:
      `getValueString` in class `AutoLookup`
    Parameters:
      `row` - the row
      `col` - the column
    Returns:
      the text

  - ### isSorted

    public boolean isSorted(int column)
    Description copied from class: `AutoLookup`
    Returns true if the given column is sorted. This class will use a binary search if the given column is sorted. Otherwise, a brute-force search will be used.
    Specified by:
      `isSorted` in class `AutoLookup`
    Parameters:
      `column` - the column
    Returns:
      true if sorted

  - ### isSortedAscending

    public boolean isSortedAscending()
    Description copied from class: `AutoLookup`
    Returns true if the currently sorted column is sorted ascending. This is used in conjunction with `AutoLookup.isSorted(int)`. If that method returns false, then this method will not be called.
    Specified by:
      `isSortedAscending` in class `AutoLookup`
    Returns:
      true if sorted ascending

  - ### matchFound

    public void matchFound(int row)
    Description copied from class: `AutoLookup`
    This method will be called when a match for the call to `AutoLookup.keyTyped(KeyEvent)` is found
    Specified by:
      `matchFound` in class `AutoLookup`
    Parameters:
      `row` - the matching row